Corporate Account
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/account/virtual/create/corporate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"customerId": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/account/virtual/create/corporate"
payload = { "customerId": "<string>" }
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customerId: '<string>'})
};
fetch('https://devapi.withedge.co/gateway/api/v1/account/virtual/create/corporate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Account successfully created",
"data": {
"accountNumber": "1951145523",
"accountName": "Stark Industries"
},
"errors": []
}
Open Bank Accounts
Corporate Account
This endpoint is used to create corporate accounts in favour of your business customers.
POST
/
account
/
virtual
/
create
/
corporate
Corporate Account
Create Corporate Account
Use this endpoint to create corporate accounts for your business customers. These accounts are virtual and tied to your customers for seamless transactions and account management.Request Parameters
A unique identifier for the request, used for idempotency. This ensures that repeated requests with the same “requestId” are not processed multiple times.
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The unique identifier for the customer on the Edge platform. This ID is used to reference a specific customer in the request body.
Example:
CUS1234567890{
"statusCode": 00,
"message": "Account successfully created",
"data": {
"accountNumber": "1951145523",
"accountName": "Stark Industries"
},
"errors": []
}
Was this page helpful?
⌘I